import Point from '@wisemapping/web2d';
import { Designer } from '..';
import NodeModel from './model/NodeModel';
import RelationshipModel from './model/RelationshipModel';
import Relationship from './Relationship';
import Topic from './Topic';
declare class CommandContext {
    private _designer;
    constructor(designer: Designer);
    get designer(): Designer;
    set designer(value: Designer);
    /** */
    findTopics(topicIds: number[]): Topic[];
    /** */
    deleteTopic(topic: Topic): void;
    /** */
    createTopic(model: NodeModel): Topic;
    /** */
    addTopic(topic: Topic): void;
    /** */
    connect(childTopic: Topic, parentTopic: Topic): void;
    /** */
    disconnect(topic: Topic): void;
    /** */
    addRelationship(model: RelationshipModel): Relationship;
    /** */
    deleteRelationship(relationship: Relationship): void;
    /** */
    findRelationships(relationshipIds: number[]): Relationship[];
    /** */
    moveTopic(topic: Topic, position: Point): void;
}
export default CommandContext;
